# 🌑 starboard-notebook
[![NPM badge](https://img.shields.io/npm/v/starboard-notebook)](https://www.npmjs.com/package/starboard-notebook)

In-browser literal notebook runtime used in [**Starboard**](https://starboard.gg). 

### **Features**
* Browser-native
* Portable
* Hackable
* Open source
* Works on mobile devices

Read more about the project on the [Starboard About](https://starboard.gg/about) page.

## Demo
You have two options:
* The [**Starboard Website**](https://starboard.gg) front-page has some demo notebooks. This may not be the latest version available.
* You can view the barebones [demo](https://unpkg.com/starboard-notebook/dist/index.html), click the small button in the top right to create the initial cell. This link will always point to the latest version on NPM.

## Development
Install Node and NPM, and run `npm i && npm start dev` in the root. Run the unit tests using `npm test`, and you can run end-to-end notebook tests using `npm run nbtest`, which requires you to have Chrome or Chromium installed.

## Viewing and editing notebooks locally
Use the [`starboard` CLI tool](https://github.com/gzuidhof/starboard-cli) to edit notebook files that live on your computer.

## Changelog
See [**CHANGELOG.md**](./CHANGELOG.md).

## Screenshot
![Starboard Notebook Screenshot](https://i.imgur.com/7hH8mMM.png)

## License
This is free software; you can redistribute it and/or modify it under the terms of the [Mozilla Public License Version 2.0](./LICENSE).

## Sponsorship
If you are able to do so and want to see Starboard Notebook developed further, please consider donating through [**Github Sponsors**](https://github.com/sponsors/gzuidhof)

*Business supporters*
* **IllumiDesk** (https://illumidesk.com/)
